Page MenuHomePhabricator

[mlir][linalg][python] Add exp and log to the OpDSL.
ClosedPublic

Authored by gysit on Jul 5 2021, 12:56 AM.

Details

Summary

Introduce the exp and log function in OpDSL. Add the soft plus operator to test the emitted IR in Python and C++.

Diff Detail

Event Timeline

gysit created this revision.Jul 5 2021, 12:56 AM
gysit requested review of this revision.Jul 5 2021, 12:56 AM
nicolasvasilache accepted this revision.Jul 7 2021, 1:34 PM
This revision is now accepted and ready to land.Jul 7 2021, 1:34 PM
gysit updated this revision to Diff 357162.Jul 8 2021, 1:46 AM

Rebase.

This revision was landed with ongoing or failed builds.Jul 8 2021, 2:11 AM
This revision was automatically updated to reflect the committed changes.